JavaUDTF19 (Snowpark Java API Reference 1.19.0)

Package com.snowflake.snowpark_java.udtf

## Interface JavaUDTF19<A0,​A1,​A2,​A3,​A4,​A5,​A6,​A7,​A8,​A9,​A10,​A11,​A12,​A13,​A14,​A15,​A16,​A17,​A18>

- All Superinterfaces:
    `JavaUDTF`, `java.io.Serializable`

      public interface JavaUDTF19<A0,​A1,​A2,​A3,​A4,​A5,​A6,​A7,​A8,​A9,​A10,​A11,​A12,​A13,​A14,​A15,​A16,​A17,​A18>
      extends JavaUDTF

  A Java UDTF interface that has 19 arguments.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.stream.Stream<Row>` | `process​(A0 arg0, A1 arg1, A2 arg2, A3 arg3, A4 arg4, A5 arg5, A6 arg6, A7 arg7, A8 arg8, A9 arg9, A10 arg10, A11 arg11, A12 arg12, A13 arg13, A14 arg14, A15 arg15, A16 arg16, A17 arg17, A18 arg18)` |

    - ### Methods inherited from interface com.snowflake.snowpark_java.udtf.JavaUDTF

      `endPartition, inputSchema, outputSchema`

- - ### Method Detail

    - #### process

          java.util.stream.Stream<Row> process​(A0 arg0,
                                               A1 arg1,
                                               A2 arg2,
                                               A3 arg3,
                                               A4 arg4,
                                               A5 arg5,
                                               A6 arg6,
                                               A7 arg7,
                                               A8 arg8,
                                               A9 arg9,
                                               A10 arg10,
                                               A11 arg11,
                                               A12 arg12,
                                               A13 arg13,
                                               A14 arg14,
                                               A15 arg15,
                                               A16 arg16,
                                               A17 arg17,
                                               A18 arg18)